Page MenuHomePhabricator

PDF handler fails to handle background-color and background-image CSS properties
Closed, ResolvedPublic

Description

Enable background renderer for Proton and fix the missing background-color and background-image properties in the PDF output.

History

This ticket used to be about an older version of the PDF renderer. History is kept below:

this causes several graphical templates to not show on the generated PDF document.

specifically, maps that use pushpins placed using position:absolute, lose the pushpin:
see [[en:Buenos Aires]]

[[en:Template:Pie Chart]] just doesn't show:
see [[en:Brussels]]

[[en:Module:Chart]] doesn't show:
see [[en:Derek#Popularity]]

please see also Bug 45861, which was closed as "Resolved", for some reason.

peace.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=45861

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:03 AM
bzimport added projects: Collection, Upstream.
bzimport set Reference to bz50178.
bzimport added a subscriber: Unknown Object (MLST).
Kipod created this task.Jun 25 2013, 2:22 PM
Kipod added a comment.Jun 25 2013, 2:23 PM

ooops... forgot to add one more example:

[[en:Template:Chess diagram]]
see [[en:Eight queens puzzle]]

peace.

This bug appears to be with the Collection extension, not PdfHandler.

Aklapper lowered the priority of this task from High to Medium.Jun 23 2015, 2:49 PM
Aklapper added a subscriber: Aklapper.
Jdlrobson added a subscriber: Jdlrobson.

Is this still going to be an issue with the new Proton service?

ovasileva moved this task from Triage to Tracking on the Proton board.Sep 14 2017, 3:49 PM
Jhernandez edited projects, added PDF-Rendering; removed Proton.Feb 25 2019, 7:07 PM
TheDJ added a subscriber: TheDJ.Jun 4 2019, 2:45 PM

Mostly fixed, though I note that in PDF the background of the legend of chart is missing, while in print it's there.
https://en.wikipedia.org/wiki/Brussels

PDF rendering

Print rendering

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 4 2019, 2:45 PM

Change 617506 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/chromium-render@master] allow background colors to be rendered

https://gerrit.wikimedia.org/r/617506

MSantos renamed this task from PDF handler fails to handle correctly several CSS properties, and specifically position:absolute to PDF handler fails to handle background-color and background-image CSS properties.Jul 30 2020, 6:15 PM
MSantos updated the task description. (Show Details)
MSantos added subscribers: Juetho, MSantos, StudiesWorld.

Change 617506 merged by jenkins-bot:
[mediawiki/services/chromium-render@master] allow background colors to be rendered

https://gerrit.wikimedia.org/r/617506

Change 617728 had a related patch set uploaded (by MSantos; owner: MSantos):
[operations/deployment-charts@master] Enable printBackground to fix style issues

https://gerrit.wikimedia.org/r/617728

Change 617728 merged by jenkins-bot:
[operations/deployment-charts@master] Enable printBackground to fix style issues

https://gerrit.wikimedia.org/r/617728

Mholloway closed this task as Resolved.Aug 12 2020, 10:18 PM
TheDJ awarded a token.Aug 13 2020, 6:46 AM